class IntervalTypeClass:
    def typeCheck(self, val):
        if type(val) in (types.IntType, types.LongType, types.FloatType,
                         types.FunctionType):
            return None
        return "Expecting a number or a function, but received '%s'", val
    def typeDescription(self):
        return "A number or function"
    def varDescription(self, name):
        return "A number or function"

IntervalType = IntervalTypeClass()


        
    
    
